@import "_variables";
@import "_mixins";

.appeal {
  margin: 0 auto;
  text-align: center;

  &__title {
    @include font-size(1.625rem, 1.75rem, 700, $title-appeal);
    margin-top: 4.125rem;

    @media (min-width: 481px) {
      @include font-size(2.625rem, 2.625rem, 700, $title-appeal);
      margin-top: 5.5rem;
    }

    @media (min-width: 993px) {
      @include font-size(3.375rem, 3.375rem, 700, $title-appeal);
      margin-top: 3.75rem;
    }

    font-family: $montserrat-font;
    font-style: normal;
    text-align: center;
    text-transform: uppercase;
  }

  &__subtitle {
    @include font-size(0.875rem, 1.25rem, 400, $dark);
    margin: 1.6875rem 0.8125rem 2.3rem 0.8125rem;


    @media (min-width: 481px) {
      @include font-size(1.3125rem, 2rem, 400, $dark);
      margin: 2.0625rem 0.8125rem 1.5rem 0.8125rem;
    }

    @media (min-width: 993px) {
      padding: 0 16rem;
    }

    font-family: $lato-font;
    font-style: normal;
    text-align: center;
  }


  &__buttons {
    display: flex;
    justify-content: center;
    column-gap: 0.9rem;
    row-gap: 0.9rem;
    flex-wrap: wrap;

    &-icons {
      display: flex;
      cursor: pointer;
      justify-content: center;
      align-items: center;
      flex-wrap: nowrap;

    }

    &-right {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 3.7rem;

      background-color: white;
      font-family: $lato-font;
      height: 2rem;
      border-radius: 0 5px 5px 0;
      border: 1px solid gray;
      border-left: none;
      font-size: 14px;
    }

    &-left {
      width: 5rem;
      display: flex;
      justify-content: space-evenly;
      align-items: center;
      text-decoration: none;
      border: 1px solid gray;
      border-radius: 5px 0 0 5px;
      height: 2rem;
      font-family: $lato-font;
      font-size: 15px;
      color: $dark;
      background-color: rgba(0, 0, 0, 0.15);

    }
  }
}